Permalink
Browse files

Update dependencies and fix fallout

  • Loading branch information...
1 parent f96a071 commit b4c7d11a93a2fd970202610b9789fed54d0d6908 @copiousfreetime committed Oct 3, 2012
Showing with 7 additions and 4 deletions.
  1. +1 −0 .gitignore
  2. +4 −4 Rakefile
  3. +2 −0 spec/database_spec.rb
View
@@ -14,3 +14,4 @@ tmp/*
email.txt
spec/data/*.db
*.bundle
+Gemfile*
View
@@ -22,7 +22,7 @@ namespace :develop do
# list these here instead of gem dependencies since there is not a way to
# specify ruby version specific dependencies
if RUBY_VERSION < "1.9.2"
- Util.platform_gemspec.add_development_dependency( 'rcov', '~> 0.9.11' )
+ Util.platform_gemspec.add_development_dependency( 'rcov', '~> 1.0.0' )
else
Util.platform_gemspec.add_development_dependency( 'simplecov', '~> 0.6.4' )
end
@@ -195,14 +195,14 @@ This.gemspec['ruby'] = Gem::Specification.new do |spec|
# FIXME
# spec.add_dependency( 'map', '~> 6.2.0')
spec.add_dependency( 'arrayfields', '~> 4.7.4' )
- spec.add_dependency( 'fastercsv' , '~> 1.5.4' )
+ spec.add_dependency( 'fastercsv' , '~> 1.5.5' )
# The Development Dependencies
spec.add_development_dependency("rake" , "~> 0.9.2.2")
- spec.add_development_dependency("rspec" , "~> 2.6.0" )
+ spec.add_development_dependency("rspec" , "~> 2.11.0" )
spec.add_development_dependency('zip' , "~> 2.0.2" )
spec.add_development_dependency('rdoc' , '~> 3.12' )
- spec.add_development_dependency('rake-compiler', '~> 0.7.9' )
+ spec.add_development_dependency('rake-compiler', '~> 0.8.1' )
spec.extensions.concat Util.extension_conf_files
end
View
@@ -1,6 +1,8 @@
+
require File.expand_path( File.join( File.dirname(__FILE__), 'spec_helper'))
$: << File.expand_path(File.join(File.dirname(__FILE__),"..","lib"))
+require 'thread'
require 'amalgalite'
require 'amalgalite/taps/io'
require 'amalgalite/taps/console'

0 comments on commit b4c7d11

Please sign in to comment.